=== debian/changelog ===
dnsdbq (2.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Jul 2020 09:39:47 +0200

dnsdbq (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied by upstream.
  * Add Rules-Requires-Root setting to d/control.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 24 Jul 2020 08:44:29 +0200

dnsdbq (2.1.1-2) unstable; urgency=medium

  * Fix building on non-Linux archs.
  * Use debhelper 13.
  * Fix whitespace in long description.
  * Source upload for testing consideration.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 25 Jun 2020 12:58:19 +0200

dnsdbq (2.1.1-1) unstable; urgency=low

  * Initial release (Closes: #952965)

 -- Sascha Steinbiss <satta@debian.org>  Sun, 03 May 2020 20:36:50 +0200
