## dnsdbq 2.3.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # warning about bad indentation, only for clang 6.x+
 #CWARN   +=-Werror=misleading-indentation
 
-CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_CIRCL=1
+CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_DNSDB2=1 -DWANT_PDNS_CIRCL=1
 CGPROF =
 CDEBUG = -g
 CFLAGS += $(CGPROF) $(CDEBUG) $(CWARN) $(CDEFS)
