=== debian/changelog ===
dnsdbq (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 13 Aug 2020 23:56:24 +0200
