=== debian/control ===
Source: dnsdbq
Section: net
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcurl4-openssl-dev,
               libjansson-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/dnsdb/dnsdbq
Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git
Vcs-Browser: https://salsa.debian.org/debian/dnsdbq

Package: dnsdbq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DNSDB API Client
 This is a pure C99 program that accesses passive DNS database systems such as:
 .
        * the DNSDB API server at Farsight Security
        * the CIRCL pDNS server at Computer Incident Response Center (LU)
 .
 An API key is required for operation. The command syntax was inspired by a
 Python script called dnsdb_query, but significant departure has occurred,
 largely inspired by a modern understanding of "time fencing" and a desire for
 new features such as CSV output and JSON reprocessing.
