=== debian/changelog ===
dnsdbq (2.6.0-2ubuntu1) kinetic; urgency=medium

  * cherrypick upstream patch to avoid build failure (LP: #1956639)
    - d/p/see-if-we-can-remove-the-need-for-res_rcode-by-chang.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 27 Apr 2022 09:08:29 +0200

dnsdbq (2.6.0-2) unstable; urgency=medium

  * Fix FTBFS on some archs by patching format string to %zu for size_t.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 17:53:05 +0100

dnsdbq (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 14:50:53 +0100

dnsdbq (2.5.5-2) unstable; urgency=medium

  * Upload to unstable post-release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Aug 2021 10:39:34 +0200

dnsdbq (2.5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 13 Jul 2021 13:20:38 +0200

dnsdbq (2.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Apr 2021 10:20:22 +0200

dnsdbq (2.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Use watchfile version 4.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 06 Apr 2021 08:34:34 +0200
