=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dnsdbq
 Section: net
 Priority: optional
-Maintainer: Sascha Steinbiss <satta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSCB-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libjansson-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/dnsdb/dnsdbq
 Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git
