## dnsdbq 2.6.4

=== Makefile ===
--- 
+++ 
@@ -14,11 +14,19 @@
 # limitations under the License.
 #
 
-CURLINCL = `curl-config --cflags` 
-JANSINCL = -I/usr/local/include
+# Base directory for jansson header and libraries
+JANSBASE=/usr/local
+# For macOS on M1, use this instead of the above line:
+#JANSBASE=/opt/homebrew
 
+JANSINCL = -I$(JANSBASE)/include
+
+JANSLIBS = -L$(JANSBASE)/lib -ljansson
+# For almost static builds on macOS, use this instead of the above line:
+#JANSLIBS = $(JANSBASE)/lib/libjansson.a
+
+CURLINCL = `curl-config --cflags`
 CURLLIBS = `[ ! -z "$$(curl-config --libs)" ] && curl-config --libs || curl-config --static-libs`
-JANSLIBS = -L/usr/local/lib -ljansson
 
 CWARN =-W -Wall -Wextra -Wcast-qual -Wpointer-arith -Wwrite-strings \
 	-Wmissing-prototypes  -Wbad-function-cast -Wnested-externs \
@@ -33,17 +41,19 @@
 CDEBUG = -g -O3
 CFLAGS += $(CGPROF) $(CDEBUG) $(CWARN) $(CDEFS)
 INCL= $(CURLINCL) $(JANSINCL)
-# freebsd requires that -lresolv _not_ be used here
 LIBS= $(CURLLIBS) $(JANSLIBS) -lresolv
+# For freebsd, it requires that -lresolv _not_ be used here, use this instead of the above line:
 #LIBS= $(CURLLIBS) $(JANSLIBS)
 
 TOOL = dnsdbq
 TOOL_OBJ = $(TOOL).o ns_ttl.o netio.o \
 	pdns.o pdns_circl.o pdns_dnsdb.o \
-	sort.o time.o asinfo.o deduper.o
+	sort.o time.o asinfo.o deduper.o \
+	tokstr.o
 TOOL_SRC = $(TOOL).c ns_ttl.c netio.c \
 	pdns.c pdns_circl.c pdns_dnsdb.c \
-	sort.c time.c asinfo.c deduper.c
+	sort.c time.c asinfo.c deduper.c \
+	tokstr.c
 
 all: $(TOOL)
 
@@ -77,7 +87,7 @@
   asinfo.h globals.h defs.h sort.h pdns.h netio.h
 dnsdbq.o: dnsdbq.c \
   defs.h netio.h \
-  pdns.h \
+  pdns.h tokstr.h \
   pdns_dnsdb.h pdns_circl.h sort.h \
   time.h globals.h
 ns_ttl.o: ns_ttl.c \
@@ -91,7 +101,7 @@
   netio.h \
   pdns.h \
   time.h \
-  globals.h sort.h
+  globals.h sort.h tokstr.h
 pdns_circl.o: pdns_circl.c \
   defs.h \
   pdns.h \
@@ -111,3 +121,5 @@
   globals.h sort.h pdns.h \
   netio.h \
   ns_ttl.h
+tokstr.o: tokstr.c \
+  tokstr.h
