=== debian/changelog ===
dnsdbq (2.6.4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:12 +1100

dnsdbq (2.6.4-2build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:13:32 +0000

dnsdbq (2.6.4-2) unstable; urgency=medium

  * Enable building twice in a row.
    Closes: #1044271
  * Bump Standards-Version.
  * Update copyright dates.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Dec 2023 17:08:09 +0100

dnsdbq (2.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Update copyright dates for debian directory.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 11 Aug 2022 12:29:50 +0200

dnsdbq (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Aug 2022 09:30:45 +0200
