=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSCB-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
+XSBC-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libjansson-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/dnsdb/dnsdbq
 Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git
