=== debian/watch ===
version=4
https://github.com/dnsdb/dnsdbq/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
