## dnsdbq 2.6.7

=== debian/changelog ===
dnsdbq (2.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 20 May 2024 17:09:21 +0200

dnsdbq (2.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 17 May 2024 19:39:59 +0200

dnsdbq (2.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Update copyright dates.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 04 May 2024 02:18:00 +0200
