## dnsdbq 2.6.8

=== debian/changelog ===
dnsdbq (2.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Nov 2024 18:37:34 +0100
