=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dnsdbq
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
+Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libjansson-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dnsdb/dnsdbq
 Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git
